var popularSearchList = [],
    searchList = [],
    popularSearchListData = [],
    searchListData = [];
for (var i = 0; i < 5; i++) {
	popularSearchList.push({
		id : i,
		name : "Bhuvan " + i
	});
}
searchList.push({
	id : 0,
	name : "ListView"
}, {
	id : 1,
	name : "TextField"
}, {
	id : 2,
	name : "EditText"
}, {
	id : 3,
	name : "Spinner"
}, {
	id : 4,
	name : "Button"
}, {
	id : 5,
	name : "ImageView"
}, {
	id : 6,
	name : "ImageButton"
}, {
	id : 7,
	name : "RecyclerView"
}, {
	id : 8,
	name : "CardView"
});

showRecentSearchList(popularSearchList);
showSearchList(searchList);

function showRecentSearchList(popularSearchList) {
	_.each(popularSearchList, function(popularSearchDataObj) {
		var listRowObj = {
			lblRecentSearchItem : {
				text : popularSearchDataObj.name
			},
			rowName : popularSearchDataObj.name,
			template : "recentSearchListTemplate",
		};
		popularSearchListData.push(listRowObj);
	});
	$.lvSearchList.sections[0].setHeaderView(addRecentSectionHeader());
	$.lvSearchList.sections[0].setItems(popularSearchListData);
}

function showSearchList(searchList) {
	_.each(searchList, function(searchListObj) {
		var listRowObj = {
			lblSearchItem : {
				text : searchListObj.name
			},
			rowName : searchListObj.name,
			properties : {
				searchableText : searchListObj.name,
			},
			template : "searchListTemplate"
		};
		searchListData.push(listRowObj);
	});
	//$.lvSearchList.sections[0].setHeaderView(addSearchSectionHeader());
	//$.lvSearchList.sections[0].setItems(searchListData);
}

function searchAction(e) {
	$.lvSearchList.searchText = e.value;
	if (e.value.length > 0) {
		showListView(true);
	} else {
		showListView(false);
	}
}

function showListView(isSearchData) {
	//$.lvSearchList.sections[0].setHeaderView(addSearchSectionHeader());
	if (isSearchData) {
		$.lvSearchList.sections[0].setHeaderView(addSearchSectionHeader());
		$.lvSearchList.sections[0].setItems(searchListData);
	} else {
		$.lvSearchList.sections[0].setHeaderView(addRecentSectionHeader());
		$.lvSearchList.sections[0].setItems(popularSearchListData);
	}
}

function addRecentSectionHeader() {
	var headerView = Ti.UI.createView({
		width : Titanium.UI.FILL,
		height : 40,
		backgroundColor : 'white',
		layout : 'horizontal'
	});
	var leftImage = Ti.UI.createImageView({
		width : Titanium.UI.SIZE,
		height : Titanium.UI.SIZE,
		image : '/images/customer.png',
		left : 20,
	});
	headerView.add(leftImage);
	var title = "RECENT";
	var lblTitle = Titanium.UI.createLabel({
		width : Titanium.UI.FILL,
		text : title,
		height : Titanium.UI.FILL,
		color : 'red',
		left : 20,
		font : {
			fontSize : 16,
			fontWeight : 'bold'
		}
	});
	headerView.add(lblTitle);
	return headerView;
}

function addSearchSectionHeader() {
	var headerView = Ti.UI.createView({
		width : Titanium.UI.FILL,
		height : 40,
		backgroundColor : 'white',
		layout : 'horizontal'
	});
	var leftImage = Ti.UI.createImageView({
		width : Titanium.UI.SIZE,
		height : Titanium.UI.SIZE,
		image : '/images/chassis.png',
		left : 20,
	});
	headerView.add(leftImage);
	var title = "RESULTS";
	var lblTitle = Titanium.UI.createLabel({
		width : Titanium.UI.FILL,
		text : title,
		height : Titanium.UI.FILL,
		color : 'red',
		left : 20,
		font : {
			fontSize : 16,
			fontWeight : 'bold'
		}
	});
	headerView.add(lblTitle);
	return headerView;
}

function cancelSearchAction(e) {

}

$.index.open();
